function rh_to_spechum, rh,ta,P
;----------------------------------------------------------------------
; rh: in %
; ta: air temperature in degC
; P : pressure in hPa
;----------------------------------------------------------------------

rhf=rh/100.
qw=qsat(ta,P)/1000.
q=(rhf*qw)/(1.-qw*(1-rhf))*1e3    ; Air specific humidity (g/kg)

return, q

;----------------------------------------------------------------------
end
